Name:           qsstv
Version:        9.2.4
Release:        %mkrel 2
Summary:        Qt-based SSTV and HamDRM
Group:          Communications/Radio
License:        GPLv3
URL:            http://users.telenet.be/on4qz/qsstv/
Source0:        http://users.telenet.be/on4qz/qsstv/downloads/%{name}_%{version}.tar.gz
Source1:        qsstv.desktop
Source2:        qsstv.1

Patch0:         qsstv-9.1.8-mga-openjpeg.h.patch

BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(hamlib)
BuildRequires:  pkgconfig(libopenjp2)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  qt5-devel

Obsoletes:      %{name}-manual < 9.1.8

%description
QSSTV 9 is a program for receiving and transmitting Slow Scan TV and HAMDRM
(sometimes called DSSTV). It is compatible with most of MMSSTV and EasyPal
The User's Guide is in the program Help. 

%prep
%setup -q -n %{name}_%{version}
%autopatch -p1

# Remove bundled qwt
rm -rf qwt

%build 
%{qmake_qt5} PREFIX=%{_prefix} CONFIG+=debug_and_release

%make_build

%install
INSTALL_ROOT=%{buildroot}; export INSTALL_ROOT
%make_install

# Docs
mkdir -p %{buildroot}/%{_docdir}/%{name}/
cp -r %{name}/documentation/manual/manual %{buildroot}/%{_docdir}/%{name}/

# Install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp qsstv/icons/qsstv.png %{buildroot}%{_datadir}/pixmaps/

desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# Install man page borrowed from Debian
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/

%files
%{_bindir}/* 
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{_docdir}/%{name}/manual/


%changelog
* Fri Mar 10 2017 akien <akien> 9.2.4-2.mga6
+ Revision: 1091632
- Rebuild for v4l-utils 1.12.3

* Wed Dec 21 2016 barjac <barjac> 9.2.4-1.mga6
+ Revision: 1076268
- new version 9.2.4

* Fri Sep 02 2016 barjac <barjac> 9.1.8-2.mga6
+ Revision: 1049748
- patch to fix editor opening problem
- patch to fix openjpeg #include path

* Mon Aug 15 2016 barjac <barjac> 9.1.8-1.mga6
+ Revision: 1046495
- new version
- removed documentation package and patched config so it is accessed from help menu
- use %%make_build
- fix broken documentation desktop file by dropping doc sub-package

* Wed Jun 29 2016 barjac <barjac> 9.1.6-1.mga6
+ Revision: 1038091
- new bugfix version 9.1.6

* Mon Apr 18 2016 barjac <barjac> 9.1.5-1.mga6
+ Revision: 1003528
- new version 9.1.5

* Sat Apr 16 2016 barjac <barjac> 9.1.4-2.mga6
+ Revision: 1003039
- add -manual package
- remove old changelog
- correct license

* Sat Apr 16 2016 barjac <barjac> 9.1.4-1.mga6
+ Revision: 1002858
- new version 9.1.4

* Fri Apr 15 2016 barjac <barjac> 9.1.3-1.mga6
+ Revision: 1002679
- new version 9.1.3
- new and changed BRs

* Mon Feb 15 2016 barjac <barjac> 8.2.12-1.mga6
+ Revision: 961145
- spec clean
- import qsstv with thanks to Fedora

